-- Hydarulic
-- Specialisation for the hydarulic
--
-- @ Autor  Tobias F.
-- @ Last Edit  28/01/2012 by Ptitminus73

Hydarulic = {};

function Hydarulic.prerequisitesPresent(specializations)
    return true;
end;

function Hydarulic:load(xmlFile)
end;

function Hydarulic:delete()
end;

function Hydarulic:readStream(streamId, connection)
end;

function Hydarulic:writeStream(streamId, connection)	
end;

function Hydarulic:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Hydarulic:keyEvent(unicode, sym, modifier, isDown)
end;

function Hydarulic:update(dt)
	if self:getIsActive() then		
		for _, part in pairs(self.movingParts) do
			Cylindered.setDirty(self, part);
		end;
	end;
end;

function Hydarulic:updateTick(dt)
end;

function Hydarulic:draw()
end;

function Hydarulic:onAttach(attacherVehicle)
end;

function Hydarulic:onDetach()
end;